Replace a playlist group

Update an entire playlist group

OAuth User token

 \ Example request

PUT https://api.7digital.com/1.2/user/playlists/groups/5891c01057abd1052cc2bf1buserId=12345&country=GB&oauth_consumer_key=YOUR_KEY_HERE&oauth_token=...

Example response

{
  "playlistGroup": {
    "id": "5891c01057abd1052cc2bf1b",
    "name": "My Updated Mix A",
    "playlistCount": 3,
    "lastUpdated": "2017-02-01T11:01:36.283Z",
    "_links": {
      "self": {
        "href": "http://api.7digital.com/1.2/user/playlists/groups/5891c01057abd1052cc2bf1b"
      }
    },
    "playlists": [
      {
        "id": "5891c01057abd1052cc2bf1c",
        "name": "Playlist A",
        "_links": {
          "self": {
            "href": "http://api.7digital.com/1.2/playlists/557ff48c17cd7e1698668d49"
          },
          "details": {
            "href": "http://api.7digital.com/1.2/playlists/557ff48c17cd7e1698668d49/details"
          },
          "tracks": {
            "href": "http://api.7digital.com/1.2/playlists/557ff48c17cd7e1698668d49/tracks"
          }
        },
        "trackCount": 10,
        "tags": [

        ],
        "status": "Published",
        "visibility": "Private",
        "annotations": {

        },
        "image": "http://artwork-cdn.7static.com/static/img/sleeveart/00/022/004/0002200406_$size$.jpg",
        "lastUpdated": "2015-06-16T10:04:09.314Z"
      },
      {
        "id": "5891c01057abd1052cc2bf1d",
        "name": "Playlist B"
      }
    ]
  }
}
Path Params
string
required

The playlistGroupId of the group that you would like to replace

Query Params
string
required

The unique identifier of the user. For information on creating users click here.

string
required

The ISO 2-character code of the country to which your oauth_consumer_key has access.

Form Data
string

An array of playlistIds, these ids must correspond to existing ids - if they don't they will be ignored on retrieval

string
required

The name of the playlist group

Language
LoadingLoading…